git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Remove airflow from pypi


Hi all,

I've pushed a replacement artifact on airflow which will throw an error
when it is being installed:

MacBook-Pro-van-Fokko:airflow fokkodriesprong$ pip install airflow==0.6

Collecting airflow==0.6

  Downloading
https://files.pythonhosted.org/packages/98/e7/d8cad667296e49a74d64e0a55713fcd491301a2e2e0e82b94b065fda3087/airflow-0.6.tar.gz

    Complete output from command python setup.py egg_info:

    /usr/local/Cellar/python@2/2.7.15_1/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/dist.py:267:
UserWarning: Unknown distribution option: 'long_description_content_type'

      warnings.warn(msg)

    running egg_info

    creating pip-egg-info/airflow.egg-info

    writing pip-egg-info/airflow.egg-info/PKG-INFO

    writing top-level names to pip-egg-info/airflow.egg-info/top_level.txt

    writing dependency_links to
pip-egg-info/airflow.egg-info/dependency_links.txt

    writing manifest file 'pip-egg-info/airflow.egg-info/SOURCES.txt'

    reading manifest file 'pip-egg-info/airflow.egg-info/SOURCES.txt'

    writing manifest file 'pip-egg-info/airflow.egg-info/SOURCES.txt'

    Traceback (most recent call last):

      File "<string>", line 1, in <module>

      File
"/private/var/folders/km/xypq2kxs4ys3dt6bwtd4fbj00000gn/T/pip-install-APOym3/airflow/setup.py",
line 32, in <module>

        raise RuntimeError('Please install package apache-airflow instead
of airflow')

    RuntimeError: Please install package apache-airflow instead of airflow



    ----------------------------------------

Command "python setup.py egg_info" failed with error code 1 in
/private/var/folders/km/xypq2kxs4ys3dt6bwtd4fbj00000gn/T/pip-install-APOym3/airflow/

MacBook-Pro-van-Fokko:airflow fokkodriesprong$ pip3 install airflow==0.6

Collecting airflow==0.6

  Using cached
https://files.pythonhosted.org/packages/98/e7/d8cad667296e49a74d64e0a55713fcd491301a2e2e0e82b94b065fda3087/airflow-0.6.tar.gz

    Complete output from command python setup.py egg_info:

    running egg_info

    creating pip-egg-info/airflow.egg-info

    writing pip-egg-info/airflow.egg-info/PKG-INFO

    writing dependency_links to
pip-egg-info/airflow.egg-info/dependency_links.txt

    writing top-level names to pip-egg-info/airflow.egg-info/top_level.txt

    writing manifest file 'pip-egg-info/airflow.egg-info/SOURCES.txt'

    reading manifest file 'pip-egg-info/airflow.egg-info/SOURCES.txt'

    writing manifest file 'pip-egg-info/airflow.egg-info/SOURCES.txt'

    /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/distutils/dist.py:261:
UserWarning: Unknown distribution option: 'long_description_content_type'

      warnings.warn(msg)

    Traceback (most recent call last):

      File "<string>", line 1, in <module>

      File
"/private/var/folders/km/xypq2kxs4ys3dt6bwtd4fbj00000gn/T/pip-install-7y_awdxy/airflow/setup.py",
line 32, in <module>

        raise RuntimeError('Please install package apache-airflow instead
of airflow')

    RuntimeError: Please install package apache-airflow instead of airflow



    ----------------------------------------

Command "python setup.py egg_info" failed with error code 1 in
/private/var/folders/km/xypq2kxs4ys3dt6bwtd4fbj00000gn/T/pip-install-7y_awdxy/airflow/

You are using pip version 10.0.1, however version 18.1 is available.

You should consider upgrading via the 'pip install --upgrade pip' command.

Cheers, Fokko


Op di 27 nov. 2018 om 02:39 schreef Kevin Yang <yrqls21@xxxxxxxxx>:

> +1 for having a placeholder for security reason. Not sure about adding
> dependency on apache-airflow tho--if the warning is overlooked and stuff
> starting to break because of backward incompatibility, it can be quite
> confusing.
>
> Cheers,
> Kevin Y
>
> On Sat, Nov 24, 2018 at 5:19 PM soma dhavala <soma.dhavala@xxxxxxxxx>
> wrote:
>
> >
> >
> > > On Nov 25, 2018, at 5:02 AM, George Leslie-Waksman <waksman@xxxxxxxxx>
> > wrote:
> > >
> > > It's probably a good idea to put something at "airflow", even if it
> > > just fails to install and tells people to install apache-airflow
> > > instead.
> > >
> > > If not, there's a risk someone squats the name airflow and puts up
> > > something malicious.
> > >
> >
> > + 1
> >
> > > --George
> > > On Fri, Nov 23, 2018 at 11:44 AM Driesprong, Fokko
> <fokko@xxxxxxxxxxxxxx>
> > wrote:
> > >>
> > >> Thanks Dan for picking this up quickly.
> > >>
> > >> Op vr 23 nov. 2018 om 18:31 schreef Kaxil Naik <kaxilnaik@xxxxxxxxx>:
> > >>
> > >>> Thanks Dan
> > >>>
> > >>> On Fri, Nov 23, 2018 at 3:44 PM Dan Davydov
> > <ddavydov@xxxxxxxxxxx.invalid>
> > >>> wrote:
> > >>>
> > >>>> This could potentially break builds for some users but I feel the
> pros
> > >>>> mentioned outweigh this, I went ahead and deleted it.
> > >>>>
> > >>>> On Fri, Nov 23, 2018 at 10:18 AM Bolke de Bruin <bdbruin@xxxxxxxxx>
> > >>> wrote:
> > >>>>
> > >>>>> Agree! This is even a security issue.
> > >>>>>
> > >>>>> Sent from my iPhone
> > >>>>>
> > >>>>>> On 23 Nov 2018, at 15:29, Driesprong, Fokko <fokko@xxxxxxxxxxxxxx
> >
> > >>>>> wrote:
> > >>>>>>
> > >>>>>> Hi all,
> > >>>>>>
> > >>>>>> I think we should remove airflow <
> https://pypi.org/project/airflow/
> > >
> > >>>>> (not
> > >>>>>> apache-airflow) from Pypi. I still get questions from people who
> > >>>>>> accidentally install Airflow 1.8.0. I see this is maintained
> > >>>>>> by mistercrunch, artwr, aeon. Anyone any objections?
> > >>>>>>
> > >>>>>> Cheers, Fokko
> > >>>>>
> > >>>>
> > >>>
> > >>>
> > >>> --
> > >>> *Kaxil Naik*
> > >>> *Big Data Consultant *@ *Data Reply UK*
> > >>> *Certified *Google Cloud Data Engineer | *Certified* Apache Spark &
> > Neo4j
> > >>> Developer
> > >>> *Phone: *+44 (0) 74820 88992
> > >>> *LinkedIn*: https://www.linkedin.com/in/kaxil
> > >>>
> >
> >
>